import type { _GCControllerButtonInput } from "./GCControllerButtonInput.js";
import type { _GCDeviceCursor } from "./GCDeviceCursor.js";
import type { _GCPhysicalInputProfile } from "./GCPhysicalInputProfile.js";
import type { _NSArray } from "../Foundation/NSArray.js";
export declare class _GCMouseInput extends _GCPhysicalInputProfile {
    static alloc(): _GCMouseInput;
    static new(): _GCMouseInput;
    init(): _GCMouseInput;
    mouseMovedHandler(): ((arg0: _GCMouseInput, arg1: number, arg2: number) => void) | null;
    setMouseMovedHandler$(value: ((arg0: _GCMouseInput, arg1: number, arg2: number) => void) | null): void;
    /** Scroll is a dpad with undefined range. */
    scroll(): _GCDeviceCursor;
    /** Mouse buttons that can be used only as digital inputs */
    leftButton(): _GCControllerButtonInput;
    rightButton(): _GCControllerButtonInput | null;
    middleButton(): _GCControllerButtonInput | null;
    auxiliaryButtons(): _NSArray | null;
}
